Module exceptions :: Class Exception

[show private | hide private]
[frames | no frames]

## Class Exception

Known Subclasses:
  `InvalidConfiguration`, `ConchError`, `BadKeyError`, `StandardError`, `Unauthorized`, `DBError`, `OfflineError`, `AlreadyCalledError`, `TimeoutError`, `AlreadyArmedError`, `ConnectionLost`, `ConnectError`, `ConnectionDone`, `BindError`, `MessageLengthError`, `ProcessExitedAlready`, `ProcessingFailure`, `NoProcessorError`, `OfflineError`, `NewsServerError`, `NonFormattableDict`, `OIDNotFound`, `InvalidResponse`, `FTPError`, `IMAP4Exception`, `IRCPasswordMismatch`, `IRCBadMessage`, `MSNProtocolError`, `NNTPError`, `POP3Error`, `SMTPError`, `ParseError`, `InvalidSentence`, `InvalidChecksum`, `DefaultException`, `FormException`, `HookError`, `Unauthorized`, `ConstraintViolation`, `ThreadableError`, `TimedOut`, `UsageError`, `UnknownService`, `InvalidConfError`, `BananaError`, `InsecureJelly`, `InsecureJelly`, `NullReference`, `ProtocolError`, `Error`, `PBConnectionLost`, `SkipTest`, `NodeLookupError`, `Error`, `MismatchedTags`, `AlreadyCached`, `UnsupportedMethod`, `FormInputError`, `NoSuchFunction`

Common base class for all exceptions.

Method Summary
| `__init__(...)`
| `__getitem__(...)`
| `__str__(...)`

Generated by Epydoc 1.1 on Thu May 8 13:16:19 2003 | http://epydoc.sf.net